## cups 1.4.8

=== debian/changelog ===
cups (1.4.8-2) unstable; urgency=low

  * debian/control: Unbreak Maintainer: field. (Closes: #636574)

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Aug 2011 13:28:47 +0200

cups (1.4.8-1) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/filters/pstopdf: Added "-dNOINTERPOLATE" to the Ghostscript command
    line, this makes Ghostscript vastly faster.
  * debian/patches/use-ps2write-ghostscript-device-for-pdftops-filter.patch:
    Regenerated the patch, as we actually use it now. The "ps2write" output
    device produces finally DSC-conforming PostScript and so we can use
    Ghostscript for the pdftops filter. Made the patch also adding the
    "-dNOINTERPOLATE" to the Ghostscript command line.
  * debian/patches/series: Reactivated
    use-ps2write-ghostscript-device-for-pdftops-filter.patch and promoted it
    to the patches which should be submitted upstream.
  * debian/rules: Build CUPS with a Ghostscript-based pdftops filter.
  * debian/rules: Do not rename the pdftoraster filter of the PDF filter
    add-on any more as Ghostscript has the unified gstoraster filter now.
    Change the cost factor to make Ghostscript's filter being preferred.
  * debian/control: Let the "cups" package require at least version 9.02
    of Ghostscript, as this version does not ship a filter named pdftoraster
    any more. Added Replaces/Breaks on older Ghostscript versions
    (ghostscript-cups binary package) for smooth updating.

  [ Jamie Strandboge ]
  * debian/local/apparmor-profile: we need to allow both /var/run and /run
    for upgrades (LP: #810687)

  [ Martin Pitt ]
  * New upstream bug fix release, fixing two regressions from 1.4.7.
    (Closes: #635842)
  * debian/watch: Look for tar.bz2 instead of tar.gz now.
  * debian/local/apparmor-profile: Explicitly deny cupsd to write /run/samba,
    to avoid dmesg errors. (LP: #812035)
  * debian/control: Slightly relax ghostscript dependency to also match
    current Debian version.
  * debian/control: Add missing ghostscript build dependency.

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Aug 2011 09:35:35 +0200

cups (1.4.7-1) unstable; urgency=low

  * New upstream version.

  [ Till Kamppeter ]
  * debian/patches/ubuntu-upstart.dpatch: Updated the patch to add support
    to the new device enumeration functionality of udev-configure-printer.
    This way we do not need to retrigger the printers. Retriggering is only
    needed if udev rules change. A fallback to the old bahavior is provided
    so that this CUPS package continues to work with older versions of
    udev-configure-printer.

  [ Martin Pitt ]
  * Update patches for new upstream release.
  * Drop fix-broken-ipv6-uris.patch, applied upstream.
  * debian/local/apparmor-profile: /var/run → /run transition. (LP: #810270)
  * Drop debian/patches/ubuntu-upstart.dpatch and move the upstart script to
    debian/local/cups.upstart. In debian/rules, copy it to debian/, and remove
    that again during clean. This is a slightly easier workaround for a
    nonexisting "dh_installinit --sysvinit-only" option than the previous
    creation of the upstart file with an ubuntu specific dpatch.
  * debian/patches/, debian/rules, debian/control, debian/source/format: Move
    to source format "3.0 (quilt)" and convert our dpatches to quilt patches.
    Drop dpatch build dependency.
  * Move Ubuntu specific patches to debian/patches/ubuntu. In debian/rules,
    apply them when building on Ubuntu. Add "patch" build dependency.

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Jul 2011 15:02:36 +0200

cups (1.4.6-11) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/cups-avahi.dpatch: Updated Avahi patch to fix places in
    the CUPS source code where libdns_sd is supported but not Avahi.
    especially accept being called with a hostname with ".local" domain
    so that AirPrint works without "ServerAlias *" in cupsd.conf (LP: #801306).

  [ Steve Langasek ]
  * Build for multiarch. (Closes: #631425)

 -- Martin Pitt <mpitt@debian.org>  Tue, 28 Jun 2011 18:03:26 +0100

cups (1.4.6-10) unstable; urgency=low

  * debian/patches/cups-avahi.dpatch: Updated Avahi patch so that it
    generates the DNS-SD service names also correctly if there is a very
    long server name. Before it could crash if the server name was longer than
    AVAHI_LABEL_MAX - 4 (60) characters (LP: #793265).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 16 Jun 2011 19:09:11 +0200

cups (1.4.6-9) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/usb-backend-accept-old-usblp-uris.dpatch: Fixed bugs in
    the patch which got introduced by the upstream clean-up and by the fix
    of a potential segfault.
  * debian/patches/usb-backend-accept-old-usblp-uris.dpatch:
    Patch got accepted upstream, replaced it by the version from
    the upstream trunk (1.5.x).

  [ Martin Pitt ]
  * debian/cups.postinst: Quiesce errors from rmmod. (Closes: #630109)

 -- Martin Pitt <mpitt@debian.org>  Wed, 15 Jun 2011 06:39:52 +0200

cups (1.4.6-8) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/usb-backend-accept-old-usblp-uris.dpatch: Let the
    libusb-based "usb" backend accept also the old device URIs from the
    usblp-kernel-module-based "usb" backend, so that printing stays working
    for users who update from an old CUPS package with the usblp-based backend
    without needing to migrate the URIs. Warnings in error_log tell about
    the use of old URIs and the advantages of updating them.
  * debian/patches/cups-deviced-allow-device-ids-with-newline.dpatch: Fixed
    segfault happening sometimes when a device with a newline in its device
    ID is found.

  [ Martin Pitt ]
  * Drop usb-backend-both-usblp-and-libusb.dpatch. It's causing crashes, and
    upstream does not want it either. Instead, add a blacklist file
    debian/local/blacklist-cups-usblp.patch and install it into
    /etc/modprobe.d/; that way, we don't require kernels to disable usblp, and

