=== debian/changelog ===
cups (1.5.0-8) unstable; urgency=medium

  * Urgency medium due to security fix. The previous version wasn't in testing
    yet, but already matured for half of the usual period, so it will still
    be 10 days in sum.
  * Add 00svn_gif_overflow.patch: Fix heap overflow with broken/crafted GIF
    files. Patch taken from upstream svn. [CVE-2011-3170]

 -- Martin Pitt <mpitt@debian.org>  Tue, 27 Sep 2011 14:46:38 +0200

cups (1.5.0-7) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/dnssd-reg-array-linear-search.patch: Let the array of
    DNS-SD-registered printers be searched linearly and not binarily by
    the DNS-SD service name, as due to another bug the DNS-SD service name
    is not correctly set in some array elements (LP: #855445). Not
    reporting upstream yet, as the original bug can be in the Avahi
    support patch.

  [ Martin Pitt ]
  * debian/local/cups.upstart: Lower the timeout for waiting for the socket
    to 3 seconds. Tweak the respawn count and limit to be longer than the
    socket poll time, so that a continuously failing cupsd process will not
    cause an eternal respawn loop. (LP: #854490)
  * debian/control: Have libcupsmime1 break pre-1.5 versions of cups as well,
    so that we avoid having a configured "cups" packae with an upgraded, but
    unconfigured libcupsmime1 package. This takes care of LP: #854490 during
    upgrades.
  * debian/rules: Configure with --enable-debug, to stop the upstream build
    system stripping all our binaries. This fixes the cups-dbg package.

 -- Martin Pitt <mpitt@debian.org>  Thu, 22 Sep 2011 19:57:54 +0200

cups (1.5.0-6) unstable; urgency=low

  * debian/cups-client.install: Do not install the jpg/pdf/ps ipptool test
    files. They are quite large, and not used anywhere by cups itself.
  * debian/libcups2.symbols, debian/libcupsmime1.symbols: Drop revisions from
    new symbols of 1.5.0.
  * debian/local/apparmor-profile: Some third-party filters install themselves
    into a subdirectory of /usr/lib/cups/filter, adjust rule. (See LP #160092)
  * debian/control: Force libcups2 (>= 1.5) dependency on libcupsmime1, as it
    uses private symbols from libcups2. (Closes: #641182)
  * debian/libcupsmime1.symbols: Drop Debian revision suffix.
  * Update debconf translations (debconf-updatepo).

 -- Martin Pitt <mpitt@debian.org>  Thu, 15 Sep 2011 12:03:27 +0200

cups (1.5.0-5) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/cups.postinst: When executing the trigger on *.ppd-updater files of
    printer driver packages, log the modification dates of the *.ppd-updater
    (are more or less the build dates of the driver packages) after updating
    the PPDs of the existing queues for this package and only update again if
    the *.ppd-updater file has a different modification date (package got
    replaced). This avoids unnecessary updates and so long delays when one
    printer driver package gets updated.
  * debian/control: Added myself to Uploaders: to avoid Lintian warnings about
    unlogged NMUs.

  [ Martin Pitt ]
  * debian/control: Bump Breaks: cups version for libcups2, as cupsd seems to
    use internal private symbols from this library. (Closes: #638462)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 22 Aug 2011 12:13:43 +0200

cups (1.5.0-4) unstable; urgency=low

  * debian/cups.postinst: Another fix for the PPD updater: Let the PPD updater
    not stop altogether in the case that for one driver there is no entry at all
    in the output of "lpinfo -m". This is for example the case for
    foomatic-db-engine if foomatic-db is not installed.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 19 Aug 2011 06:38:18 +0200

cups (1.5.0-3) unstable; urgency=low

  * debian/patches/cups-driverd-recognize-cached-drv-generated-ppds.patch:
    CUPS did not recognize that the PPD files generated by *.drv are cached
    in ppds.dat, and when reloading them over the entries already loaded from
    the cache, the PPD list got totally messed up (CUPS STR #3921).
  * debian/cups.postinst: Clear PPD cache when upgrading from an older version
    to remove the buggy entries for the *.drv files.
  * debian/cups.postinst: Fixes on the PPD updater:
     o Added "return 0" at the end of the ppd_updater() function, otherwise
       the progrem terminates at its end and so only the first updater file
       in /usr/share/cups/ppd-updaters/ is treated.
     o Added quotes around parameter names to conserve the special characters
       of the regexps.
     o Made sure that when regexps are applied to the lines of the temporary
       files that the resulting lines have still single newlines at their ends.
     o Log for which drivers the PPDs get updated.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 18 Aug 2011 08:45:53 +0200

cups (1.5.0-2) unstable; urgency=low

  [ Didier Raboud ]
  * Add a dpkg trigger to update the queues' PPDs on (cooperative) driver
    upgrades (Closes: #637978).

  [ Till Kamppeter ]
  * debian/patches/cups-avahi.patch: Resynced with patch upstream (Tim Waugh,
    Red Hat), via "git clone http://twaugh.fedorapeople.org/cups-avahi.git;
    cd cups-avahi, git diff origin/master origin/avahi-services-1.5 >
    ../cups-1.5-avahi.patch" and replacing cups-avahi.patch by the resulting
    patch.
  * debian/patches/airprint-support.patch: The changes for supporting Apple's
    AirPrint are not in Tim Waugh's upstream repository of cups-avahi.patch.
    Therefore we carry these changes in a separate patch to make syncing
    with Tim's patch easier.
  * debian/patches/no-conffile-timestamp.patch: Refreshed with quilt.
  * debian/patches/colord-support.patch: Added colord support. Thanks to
    Richard Hughes from Red Hat for the patch (LP: #787767, CUPS STR #3808).
  * debian/patches/no-conffile-timestamp.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/show-compile-command-lines.patch: Refreshed with quilt.

