=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
 Uploaders: Kenshi Muto <kmuto@debian.org>, 
  Martin Pitt <mpitt@debian.org>, Roger Leigh <rleigh@debian.org>, 
  Martin-Éric Racine <martin-eric.racine@iki.fi>, Masayuki Hatta (mhatta) <mhatta@debian.org>,
- Jeff Licquia <licquia@debian.org>
+ Jeff Licquia <licquia@debian.org>,
+ Till Kamppeter <till.kamppeter@gmail.com>
 Vcs-Bzr: http://bzr.debian.org/pkg-cups/cups/debian-trunk/
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-cups/cups/debian-trunk/
 
@@ -26,7 +27,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: cups-common
 Provides: libcupsys2
-Breaks: cups (<< 1.4.4)
+Breaks: cups (<< 1.5.0)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Common UNIX Printing System(tm) - Core library
@@ -89,7 +90,8 @@
 Priority: optional
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libcups2 (>= 1.5~), ${shlibs:Depends}, ${misc:Depends}
+Breaks: cups (<< 1.5.0)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Common UNIX Printing System(tm) - MIME library
@@ -126,7 +128,7 @@
  cups-common (>= ${source:Upstream-Version}), 
  cups-client (>= ${binary:Version}),
  ssl-cert (>= 1.0.11), adduser, bc, ttf-freefont, cups-ppdc
-Recommends: avahi-daemon, foomatic-filters (>= 4.0), 
+Recommends: avahi-daemon, colord, foomatic-filters (>= 4.0), 
  cups-driver-gutenprint, ghostscript-cups (>= 9.02~)
 Suggests: cups-bsd, foomatic-db-compressed-ppds | foomatic-db,
  hplip, cups-pdf, udev, smbclient
@@ -296,4 +298,3 @@
 Replaces: cupsddk (<< 1.4.0)
 Provides: cupsddk
 Description: Common UNIX Printing System(tm) - PPD manipulation utilities
- The Common UNIX Printing System (or CUPS(tm)) is a printing system and
